Bug 1254080 - SELinux is preventing pmlogger from 'create' accesses on the lnk_file pmlogger.primary.socket.
SELinux is preventing pmlogger from 'create' accesses on the lnk_file pmlogge...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:fde702b3d9fda1337170273a81a...
:
Depends On:
Blocks: 1286234
  Show dependency treegraph
 
Reported: 2015-08-17 02:46 EDT by Martín Cigorraga
Modified: 2015-11-27 09:32 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.13.1-128.12.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1286234 (view as bug list)
Environment:
Last Closed: 2015-08-27 14:24:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martín Cigorraga 2015-08-17 02:46:28 EDT
Description of problem:
SELinux is preventing pmlogger from 'create' accesses on the lnk_file pmlogger.primary.socket.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that pmlogger should be allowed create access on the pmlogger.primary.socket lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep pmlogger /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_run_t:s0
Target Objects                pmlogger.primary.socket [ lnk_file ]
Source                        pmlogger
Source Path                   pmlogger
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.10.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.5-200.fc22.x86_64 #1 SMP Mon
                              Aug 10 23:38:23 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-08-17 02:55:10 ART
Last Seen                     2015-08-17 02:55:10 ART
Local ID                      0c7ddc98-fe63-42a9-8a07-483ef97e33d9

Raw Audit Messages
type=AVC msg=audit(1439790910.97:2554): avc:  denied  { create } for  pid=15915 comm="pmlogger" name="pmlogger.primary.socket" scontext=system_u:system_r:pcp_pmlogger_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=lnk_file permissive=0


Hash: pmlogger,pcp_pmlogger_t,var_run_t,lnk_file,create

Version-Release number of selected component:
selinux-policy-3.13.1-128.10.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.5-200.fc22.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2015-08-23 12:26:58 EDT
commit 677cb44a9f4c9a5deb292cb5c6893e2425737cec
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Sun Aug 23 00:18:37 2015 +0200

    Allow pmlogger to create pmlogger.primary.socket link file. BZ(1254080)
Comment 2 Fedora Update System 2015-08-24 07:45:57 EDT
selinux-policy-3.13.1-128.12.fc22 has been submitted as an update to Fedora 22. https://bugzilla.redhat.com/show_bug.cgi?id=1254080
Comment 3 Fedora Update System 2015-08-24 17:54:39 EDT
selinux-policy-3.13.1-128.12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update selinux-policy'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14076
Comment 4 Fedora Update System 2015-08-27 14:23:05 EDT
selinux-policy-3.13.1-128.12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.